from setuptools import setup, find_packages

setup(
    name="pdfcompare",
    version="0.2.0",  # second version
    author="S M Shahinul Islam",
    author_email="s.m.shahinul.islam@gmail.com",
    description="A Python package to compare files (PDF, docx, images) and generate reports in txt, html, or PDF format",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/imshahinul/pdfcompare",  # Optional, your GitHub URL
    packages=find_packages(),  # Automatically find and include all packages
    install_requires=[
        "backports.tarfile==1.2.0",
        "beautifulsoup4==4.12.3",
        "certifi==2024.8.30",
        "chardet==5.2.0",
        "charset-normalizer==3.4.0",
        "ci-info==0.3.0",
        "click==8.1.7",
        "configobj==5.0.9",
        "configparser==7.1.0",
        "defusedxml==0.7.1",
        "docutils==0.21.2",
        "EbookLib==0.18",
        "etelemetry==0.3.1",
        "filelock==3.16.1",
        "fitz==0.0.1.dev2",
        "httplib2==0.22.0",
        "idna==3.10",
        "importlib_metadata==8.5.0",
        "importlib_resources==6.4.5",
        "isodate==0.6.1",
        "jaraco.classes==3.4.0",
        "jaraco.context==6.0.1",
        "jaraco.functools==4.1.0",
        "keyring==25.4.1",
        "looseversion==1.3.0",
        "lxml==5.3.0",
        "markdown-it-py==3.0.0",
        "mdurl==0.1.2",
        "more-itertools==10.5.0",
        "networkx==3.3",
        "nh3==0.2.18",
        "nibabel==5.3.0",
        "nipype==1.8.6",
        "numpy==2.1.2",
        "odfpy==1.4.1",
        "opencv-python==4.10.0.84",
        "packaging==24.1",
        "pandas==2.2.3",
        "pathlib==1.0.1",
        "pdfkit==1.0.0",
        "pillow==10.4.0",
        "pkginfo==1.10.0",
        "prov==2.0.1",
        "pydot==3.0.2",
        "Pygments==2.18.0",
        "PyMuPDF==1.24.11",
        "pyparsing==3.1.4",
        "pytesseract==0.3.13",
        "python-dateutil==2.9.0.post0",
        "python-docx==1.1.2",
        "pytz==2024.2",
        "pyxnat==1.6.2",
        "rdflib==6.3.2",
        "readme_renderer==44.0",
        "reportlab==4.2.5",
        "requests==2.32.3",
        "requests-toolbelt==1.0.0",
        "rfc3986==2.0.0",
        "rich==13.9.2",
        "scipy==1.14.1",
        "simplejson==3.19.3",
        "six==1.16.0",
        "soupsieve==2.6",
        "traits==6.3.2",
        "twine==5.1.1",
        "typing_extensions==4.12.2",
        "tzdata==2024.2",
        "urllib3==2.2.3",
        "zipp==3.20.2",
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
    entry_points={
        "console_scripts": [
            "pdfcompare=pdfcompare.cli:main",  # Create a CLI command
        ],
    },
)